services:
    actual:
        container_name: actual
        image: jlongster/actual-server:latest
        labels:
            traefik.docker.network: traefik
            traefik.enable: true
            traefik.http.routers.actual.entrypoints: websecure
            traefik.http.routers.actual.rule: Host(`actual.alexlebens.net`)
            traefik.http.routers.actual.service: actual
            traefik.http.services.actual.loadbalancer.server.port: 5006
        logging:
            driver: json-file
            options:
                max-size: 50m
                max-file: "3"
        networks:
            traefik: null
        privileged: true
        restart: always
        volumes:
            - server:/app/server-files
            - user:/app/user-files

networks:
    traefik:
        name: traefik
        external: true

volumes:
    server:
        driver: local
        driver_opts:
            type: none
            o: bind
            device: /var/lib/docker/volumes/partition/actual_server

    user:
        driver: local
        driver_opts:
            type: none
            o: bind
            device: /var/lib/docker/volumes/partition/actual_user
